Subject: Re: [RFC] Hidden refs

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Oct 2010 10:51:12 -0700

Jeff King <[email-masked]> writes:

> On Wed, Oct 13, 2010 at 10:42:41AM -0700, Junio C Hamano wrote:
>
>> Jeff King <[email-masked]> writes:
>> 
>> > Yeah, I believe "." at the front of a directory component is explicitly
>> > forbidden by check_ref_format. I don't recall whether there was a
>> > specific rationale, or whether it was simply a can of worms we didn't
>> > want to explore.
>> 
>> Is "log foo...bar" a symmetric difference between foo and bar, or is it an
>> assymmetric one from foo and .bar?
>
> Thanks, I was sure there was a simple example of how it would make
> things ambiguous, but for some reason I couldn't think of one.

Of course, it points at an existing bug as well.  --- the example could
mean an asymmetric difference from foo. to bar ;-)